Bug 180274 - [MAINTAINER] graphics/mapnik: update to 2.2.0
Summary: [MAINTAINER] graphics/mapnik: update to 2.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-04 17:40 UTC by littlesavage
Modified: 2013-07-06 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (22.66 KB, patch)
2013-07-04 17:40 UTC, littlesavage
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description littlesavage 2013-07-04 17:40:00 UTC
The attached patch updates graphics/mapnik to 2.2.0

Changes: https://github.com/mapnik/mapnik/wiki/Release2.2.0
Build log: https://redports.org/buildarchive/20130704051002-50607/

This patch contains changes from ports/179349.

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-07-05 12:36:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-07-06 12:51:16 UTC
Author: wg
Date: Sat Jul  6 11:51:07 2013
New Revision: 322387
URL: http://svnweb.freebsd.org/changeset/ports/322387

Log:
  graphics/mapnik: update to 2.2.0
  
  - Update to 2.2.0 [1] [2]
  - Make JPEG, PNG and TIFF as options [2]
  - Remove GEOS option [2]
  - Install docs [1]
  - Remove leading article from COMMENT [1]
  
  PR:		ports/179349 [1], ports/180274 [2]
  Submitted by:	nemysis <nemysis gmx.ch> [1]
  		Alexey Illarionov <littlesavage rambler.ru> [2] (maintainer)

Added:
  head/graphics/mapnik/files/patch-tests-cpp_tests-conversions_test.cpp   (contents, props changed)
Deleted:
  head/graphics/mapnik/files/patch-plugins-input-python-build.py
Modified:
  head/graphics/mapnik/Makefile
  head/graphics/mapnik/distinfo
  head/graphics/mapnik/pkg-plist

Modified: head/graphics/mapnik/Makefile
==============================================================================
--- head/graphics/mapnik/Makefile	Sat Jul  6 11:40:31 2013	(r322386)
+++ head/graphics/mapnik/Makefile	Sat Jul  6 11:51:07 2013	(r322387)
@@ -2,11 +2,10 @@
 # $FreeBSD$
 
 PORTNAME=	mapnik
-PORTVERSION=	2.1.0
+PORTVERSION=	2.2.0
 DISTVERSIONPREFIX=	v
-PORTREVISION=	3
 CATEGORIES=	graphics geography
-MASTER_SITES=	http://cloud.github.com/downloads/${PORTNAME}/${PORTNAME}/
+MASTER_SITES=	http://mapnik.s3.amazonaws.com/dist/v${PORTVERSION}/
 
 MAINTAINER=	littlesavage@rambler.ru
 COMMENT=	A Free Toolkit For Developing Mapping Applications
@@ -15,9 +14,6 @@ LICENSE=	LGPL21
 LICENSE_FILE=	${WRKSRC}/COPYING
 
 LIB_DEPENDS=	proj:${PORTSDIR}/graphics/proj \
-		png15:${PORTSDIR}/graphics/png \
-		tiff:${PORTSDIR}/graphics/tiff \
-		jpeg:${PORTSDIR}/graphics/jpeg \
 		icuuc:${PORTSDIR}/devel/icu \
 		boost_system:${PORTSDIR}/devel/boost-libs \
 		boost_python:${PORTSDIR}/devel/boost-python-libs
@@ -25,96 +21,94 @@ BUILD_DEPENDS=	${LOCALBASE}/bin/freetype
 		${PYTHON_PKGNAMEPREFIX}icu>=0.8.1:${PORTSDIR}/devel/py-icu
 
 USE_BZIP2=	yes
+USES=		pkgconfig
+USE_GNOME=	libxml2
 USE_PYTHON=	2.6+
 USE_LDCONFIG=	yes
 USE_SCONS=	yes
-USE_AUTOTOOLS=	libltdl
-USES=		pkgconfig
-USE_GNOME=	libxml2
 MAKE_JOBS_SAFE=	yes
 WARNING_CXXFLAGS?=	-w
 
-CONFICTS=	svg2png*
-
 INPUT_PLUGINS=	geojson python raster shape
 
-OPTIONS_DEFINE=	CAIRO CSV GDAL GEOS OGR OSM POSTGIS SQLITE3
-OPTIONS_DEFAULT=	CAIRO CSV GDAL OGR OSM POSTGIS SQLITE3
+NO_OPTIONS_SORT= yes
+OPTIONS_DEFINE=	CAIRO CSV GDAL OGR OSM POSTGIS SQLITE3 JPEG PNG TIFF
+OPTIONS_DEFAULT=	CAIRO CSV GDAL OGR OSM POSTGIS SQLITE3 JPEG PNG TIFF
 
 CAIRO_DESC=	Enable cairo rendering
 CSV_DESC=	CSV input plugin
 GDAL_DESC=	GDAL input plugin
-GEOS_DESC=	GEOS input plugin
 OGR_DESC=	OGR input plugin
 OSM_DESC=	OSM input plugin
 POSTGIS_DESC=	PostGIS input plugin
 SQLITE3_DESC=	SQLite input plugin
 
+OPTIONS_SUB=	yes
+
+PORTDOCS=	*
+
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	AUTHORS.md CHANGELOG.md README.md
+
+DOCSRCDIR2=	${WRKSRC}/docs
+DOCSDIR2=	${DOCSDIR}/docs
+DOC_FILES2=	*
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MCAIRO}
-LIB_DEPENDS+=	cairo:${PORTSDIR}/graphics/cairo \
-   		cairomm-1:${PORTSDIR}/graphics/cairomm
-BUILD_DEPENDS+=	cairomm>=1.8.0:${PORTSDIR}/graphics/cairomm \
-		${PYTHON_PKGNAMEPREFIX}cairo>=1.8.2:${PORTSDIR}/graphics/py-cairo
+LIB_DEPENDS+=	cairo:${PORTSDIR}/graphics/cairo
+BUILD_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}cairo>=1.8.2:${PORTSDIR}/graphics/py-cairo
 .else
 SCONS_ARGS+=	CAIRO=False
 .endif
 
 .if ${PORT_OPTIONS:MCSV}
 INPUT_PLUGINS+=	csv
-PLIST_SUB+=	CSV=""
-.else
-PLIST_SUB+=	CSV="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MGDAL}
 INPUT_PLUGINS+=	gdal
 LIB_DEPENDS+=	gdal:${PORTSDIR}/graphics/gdal
-PLIST_SUB+=	GDAL=""
-.else
-PLIST_SUB+=	GDAL="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MGEOS}
-INPUT_PLUGINS+=	geos
-LIB_DEPENDS+=	geos:${PORTSDIR}/graphics/geos
-PLIST_SUB+=	GEOS=""
-.else
-PLIST_SUB+=	GEOS="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MOGR}
 INPUT_PLUGINS+=	ogr
 LIB_DEPENDS+=	gdal:${PORTSDIR}/graphics/gdal
-PLIST_SUB+=	OGR=""
-.else
-PLIST_SUB+=	OGR="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MOSM}
 INPUT_PLUGINS+=	osm
 LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
-PLIST_SUB+=	OSM=""
-.else
-PLIST_SUB+=	OSM="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MPOSTGIS}
 INPUT_PLUGINS+=	postgis
 USE_PGSQL=	yes
-PLIST_SUB+=	POSTGIS=""
-.else
-PLIST_SUB+=	POSTGIS="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MSQLITE3}
 INPUT_PLUGINS+=	sqlite
 LIB_DEPENDS+=	sqlite3:${PORTSDIR}/databases/sqlite3
 BUILD_DEPENDS+=	sqlite3>=3.7.12:${PORTSDIR}/databases/sqlite3
-PLIST_SUB+=	SQLITE=""
+.endif
+
+.if ${PORT_OPTIONS:MJPEG}
+LIB_DEPENDS+=   jpeg:${PORTSDIR}/graphics/jpeg
+.else
+SCONS_ARGS+=	JPEG=False
+.endif
+
+.if ${PORT_OPTIONS:MPNG}
+LIB_DEPENDS+=   png15:${PORTSDIR}/graphics/png
+.else
+SCONS_ARGS+=	PNG=False
+.endif
+
+.if ${PORT_OPTIONS:MTIFF}
+LIB_DEPENDS+=   tiff:${PORTSDIR}/graphics/tiff
 .else
-PLIST_SUB+=	SQLITE="@comment "
+SCONS_ARGS+=	TIFF=False
 .endif
 
 .include <bsd.port.pre.mk>
@@ -125,17 +119,16 @@ IGNORE=		does not install: runs out of v
 
 SCONS_ARGS+=	WARNING_CXXFLAGS=${WARNING_CXXFLAGS}
 SCONS_ARGS+=	INPUT_PLUGINS="`${ECHO} ${INPUT_PLUGINS} | ${TR} ' ' ,`"
-
 SCONS_ARGS+=	JOBS=${MAKE_JOBS_NUMBER}
 
 pre-configure:
 .if ${PORT_OPTIONS:MSQLITE3}
 	@if ! ${LOCALBASE}/bin/sqlite3 :memory: 'create virtual table foo using rtree(pkid, xmin, xmax, ymin, ymax)' > /dev/null 2>&1; then \
-	   ${ECHO_MSG} "" ; \
-	   ${ECHO_MSG} "The SQLite plugin requires libsqlite3 built with RTREE support"; \
-	   ${ECHO_MSG} "Please, reinstall 'databases/sqlite3' port with R*Tree module enabled"; \
-	   ${ECHO_MSG} "" ; \
-	   ${FALSE} ; \
+		${ECHO_MSG} "" ; \
+		${ECHO_MSG} "The SQLite plugin requires libsqlite3 built with RTREE support"; \
+		${ECHO_MSG} "Please, reinstall 'databases/sqlite3' port with R*Tree module enabled"; \
+		${ECHO_MSG} "" ; \
+		${FALSE} ; \
 	fi
 .endif
 
@@ -145,6 +138,14 @@ post-patch:
 
 do-install:
 	@cd ${INSTALL_WRKSRC} && ${SETENV} ${SCONS_BUILDENV} ${SCONS_BIN} \
-	    ${SCONS_INSTALL_TARGET}
+		${SCONS_INSTALL_TARGET}
+
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${DOCSDIR}
+	@${MKDIR} ${DOCSDIR2}
+	${INSTALL_DATA} ${DOC_FILES2:S|^|${DOCSRCDIR2}/|} ${DOCSDIR2}
+.endif
 
 .include <bsd.port.post.mk>

Modified: head/graphics/mapnik/distinfo
==============================================================================
--- head/graphics/mapnik/distinfo	Sat Jul  6 11:40:31 2013	(r322386)
+++ head/graphics/mapnik/distinfo	Sat Jul  6 11:51:07 2013	(r322387)
@@ -1,2 +1,2 @@
-SHA256 (mapnik-v2.1.0.tar.bz2) = d5fcbaaea00359613b707eacaaa2109a0b5696e2baa35c02e4436e8a823b7160
-SIZE (mapnik-v2.1.0.tar.bz2) = 17441565
+SHA256 (mapnik-v2.2.0.tar.bz2) = 9b30de4e58adc6d5aa8478779d0a47fdabe6bf8b166b67a383b35f5aa5d6c1b0
+SIZE (mapnik-v2.2.0.tar.bz2) = 23007178

Added: head/graphics/mapnik/files/patch-tests-cpp_tests-conversions_test.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/mapnik/files/patch-tests-cpp_tests-conversions_test.cpp	Sat Jul  6 11:51:07 2013	(r322387)
@@ -0,0 +1,79 @@
+--- tests/cpp_tests/conversions_test.cpp.orig	2013-06-30 22:35:29.000000000 +0400
++++ tests/cpp_tests/conversions_test.cpp	2013-06-30 22:38:32.000000000 +0400
+@@ -166,31 +166,31 @@
+         BOOST_TEST_EQ( out,  "1e+09" );
+         out.clear();
+ 
+-        to_string(out, double(10000000000));
++        to_string(out, double(10000000000ULL));
+         BOOST_TEST_EQ( out,  "1e+10" );
+         out.clear();
+ 
+-        to_string(out, double(100000000000));
++        to_string(out, double(100000000000ULL));
+         BOOST_TEST_EQ( out,  "1e+11" );
+         out.clear();
+ 
+-        to_string(out, double(1000000000000));
++        to_string(out, double(1000000000000ULL));
+         BOOST_TEST_EQ( out,  "1e+12" );
+         out.clear();
+ 
+-        to_string(out, double(10000000000000));
++        to_string(out, double(10000000000000ULL));
+         BOOST_TEST_EQ( out,  "1e+13" );
+         out.clear();
+ 
+-        to_string(out, double(100000000000000));
++        to_string(out, double(100000000000000ULL));
+         BOOST_TEST_EQ( out,  "1e+14" );
+         out.clear();
+ 
+-        to_string(out, double(1000000000000005));
++        to_string(out, double(1000000000000005ULL));
+         BOOST_TEST_EQ( out,  "1e+15" );
+         out.clear();
+ 
+-        to_string(out, double(-1000000000000000));
++        to_string(out, double(-1000000000000000LL));
+         BOOST_TEST_EQ( out,  "-1e+15" );
+         out.clear();
+ 
+@@ -210,7 +210,7 @@
+         BOOST_TEST_EQ( out,  "67.35" );
+         out.clear();
+ 
+-        to_string(out, double(1234000000000000));
++        to_string(out, double(1234000000000000ULL));
+         BOOST_TEST_EQ( out,  "1.234e+15" );
+         out.clear();
+ 
+@@ -235,16 +235,16 @@
+         BOOST_TEST_EQ( out, "-2" );
+         out.clear();
+ 
+-        to_string(out, int(2147483647));
++        to_string(out, int(2147483647ULL));
+         BOOST_TEST_EQ( out, "2147483647" );
+         out.clear();
+ 
+-        to_string(out, int(-2147483648));
++        to_string(out, int(-2147483648LL));
+         BOOST_TEST_EQ( out, "-2147483648" );
+         out.clear();
+ 
+         // unsigned
+-        to_string(out, unsigned(4294967295));
++        to_string(out, unsigned(4294967295ULL));
+         BOOST_TEST_EQ( out, "4294967295" );
+         out.clear();
+ 
+@@ -258,7 +258,7 @@
+         BOOST_TEST_EQ( out, "-2" );
+         out.clear();
+ 
+-        to_string(out,mapnik::value_integer(9223372036854775807));
++        to_string(out,mapnik::value_integer(9223372036854775807ULL));
+         BOOST_TEST_EQ( out, "9223372036854775807" );
+         out.clear();
+ #else

Modified: head/graphics/mapnik/pkg-plist
==============================================================================
--- head/graphics/mapnik/pkg-plist	Sat Jul  6 11:40:31 2013	(r322386)
+++ head/graphics/mapnik/pkg-plist	Sat Jul  6 11:51:07 2013	(r322387)
@@ -1,8 +1,132 @@
 bin/mapnik-config
 bin/mapnik-speed-check
 bin/shapeindex
-bin/svg2png
 bin/upgrade_map_xml.py
+include/mapnik/agg/agg_alpha_mask_u8.h
+include/mapnik/agg/agg_arc.h
+include/mapnik/agg/agg_array.h
+include/mapnik/agg/agg_arrowhead.h
+include/mapnik/agg/agg_basics.h
+include/mapnik/agg/agg_bezier_arc.h
+include/mapnik/agg/agg_bitset_iterator.h
+include/mapnik/agg/agg_blur.h
+include/mapnik/agg/agg_bounding_rect.h
+include/mapnik/agg/agg_bspline.h
+include/mapnik/agg/agg_clip_liang_barsky.h
+include/mapnik/agg/agg_color_gray.h
+include/mapnik/agg/agg_color_rgba.h
+include/mapnik/agg/agg_config.h
+include/mapnik/agg/agg_conv_adaptor_vcgen.h
+include/mapnik/agg/agg_conv_adaptor_vpgen.h
+include/mapnik/agg/agg_conv_bspline.h
+include/mapnik/agg/agg_conv_clip_polygon.h
+include/mapnik/agg/agg_conv_clip_polyline.h
+include/mapnik/agg/agg_conv_clipper.h
+include/mapnik/agg/agg_conv_close_polygon.h
+include/mapnik/agg/agg_conv_concat.h
+include/mapnik/agg/agg_conv_contour.h
+include/mapnik/agg/agg_conv_curve.h
+include/mapnik/agg/agg_conv_dash.h
+include/mapnik/agg/agg_conv_gpc.h
+include/mapnik/agg/agg_conv_marker.h
+include/mapnik/agg/agg_conv_marker_adaptor.h
+include/mapnik/agg/agg_conv_segmentator.h
+include/mapnik/agg/agg_conv_shorten_path.h
+include/mapnik/agg/agg_conv_smooth_poly1.h
+include/mapnik/agg/agg_conv_stroke.h
+include/mapnik/agg/agg_conv_transform.h
+include/mapnik/agg/agg_conv_unclose_polygon.h
+include/mapnik/agg/agg_curves.h
+include/mapnik/agg/agg_dda_line.h
+include/mapnik/agg/agg_ellipse.h
+include/mapnik/agg/agg_ellipse_bresenham.h
+include/mapnik/agg/agg_embedded_raster_fonts.h
+include/mapnik/agg/agg_font_cache_manager.h
+include/mapnik/agg/agg_gamma_functions.h
+include/mapnik/agg/agg_gamma_lut.h
+include/mapnik/agg/agg_glyph_raster_bin.h
+include/mapnik/agg/agg_gradient_lut.h
+include/mapnik/agg/agg_gsv_text.h
+include/mapnik/agg/agg_image_accessors.h
+include/mapnik/agg/agg_image_filters.h
+include/mapnik/agg/agg_line_aa_basics.h
+include/mapnik/agg/agg_math.h
+include/mapnik/agg/agg_math_stroke.h
+include/mapnik/agg/agg_path_length.h
+include/mapnik/agg/agg_path_storage.h
+include/mapnik/agg/agg_path_storage_integer.h
+include/mapnik/agg/agg_pattern_filters_rgba.h
+include/mapnik/agg/agg_pixfmt_amask_adaptor.h
+include/mapnik/agg/agg_pixfmt_gray.h
+include/mapnik/agg/agg_pixfmt_rgb.h
+include/mapnik/agg/agg_pixfmt_rgb_packed.h
+include/mapnik/agg/agg_pixfmt_rgba.h
+include/mapnik/agg/agg_pixfmt_transposer.h
+include/mapnik/agg/agg_rasterizer_cells_aa.h
+include/mapnik/agg/agg_rasterizer_compound_aa.h
+include/mapnik/agg/agg_rasterizer_outline.h
+include/mapnik/agg/agg_rasterizer_outline_aa.h
+include/mapnik/agg/agg_rasterizer_scanline_aa.h
+include/mapnik/agg/agg_rasterizer_sl_clip.h
+include/mapnik/agg/agg_renderer_base.h
+include/mapnik/agg/agg_renderer_markers.h
+include/mapnik/agg/agg_renderer_mclip.h
+include/mapnik/agg/agg_renderer_outline_aa.h
+include/mapnik/agg/agg_renderer_outline_image.h
+include/mapnik/agg/agg_renderer_primitives.h
+include/mapnik/agg/agg_renderer_raster_text.h
+include/mapnik/agg/agg_renderer_scanline.h
+include/mapnik/agg/agg_rendering_buffer.h
+include/mapnik/agg/agg_rendering_buffer_dynarow.h
+include/mapnik/agg/agg_rounded_rect.h
+include/mapnik/agg/agg_scanline_bin.h
+include/mapnik/agg/agg_scanline_boolean_algebra.h
+include/mapnik/agg/agg_scanline_p.h
+include/mapnik/agg/agg_scanline_storage_aa.h
+include/mapnik/agg/agg_scanline_storage_bin.h
+include/mapnik/agg/agg_scanline_u.h
+include/mapnik/agg/agg_shorten_path.h
+include/mapnik/agg/agg_simul_eq.h
+include/mapnik/agg/agg_span_allocator.h
+include/mapnik/agg/agg_span_converter.h
+include/mapnik/agg/agg_span_gouraud.h
+include/mapnik/agg/agg_span_gouraud_gray.h
+include/mapnik/agg/agg_span_gouraud_rgba.h
+include/mapnik/agg/agg_span_gradient.h
+include/mapnik/agg/agg_span_gradient_alpha.h
+include/mapnik/agg/agg_span_image_filter.h
+include/mapnik/agg/agg_span_image_filter_gray.h
+include/mapnik/agg/agg_span_image_filter_rgb.h
+include/mapnik/agg/agg_span_image_filter_rgba.h
+include/mapnik/agg/agg_span_interpolator_adaptor.h
+include/mapnik/agg/agg_span_interpolator_linear.h
+include/mapnik/agg/agg_span_interpolator_persp.h
+include/mapnik/agg/agg_span_interpolator_trans.h
+include/mapnik/agg/agg_span_pattern_gray.h
+include/mapnik/agg/agg_span_pattern_rgb.h
+include/mapnik/agg/agg_span_pattern_rgba.h
+include/mapnik/agg/agg_span_solid.h
+include/mapnik/agg/agg_span_subdiv_adaptor.h
+include/mapnik/agg/agg_trans_affine.h
+include/mapnik/agg/agg_trans_bilinear.h
+include/mapnik/agg/agg_trans_double_path.h
+include/mapnik/agg/agg_trans_lens.h
+include/mapnik/agg/agg_trans_perspective.h
+include/mapnik/agg/agg_trans_single_path.h
+include/mapnik/agg/agg_trans_viewport.h
+include/mapnik/agg/agg_trans_warp_magnifier.h
+include/mapnik/agg/agg_vcgen_bspline.h
+include/mapnik/agg/agg_vcgen_contour.h
+include/mapnik/agg/agg_vcgen_dash.h
+include/mapnik/agg/agg_vcgen_markers_term.h
+include/mapnik/agg/agg_vcgen_smooth_poly1.h
+include/mapnik/agg/agg_vcgen_stroke.h
+include/mapnik/agg/agg_vcgen_vertex_sequence.h
+include/mapnik/agg/agg_vertex_sequence.h
+include/mapnik/agg/agg_vpgen_clip_polygon.h
+include/mapnik/agg/agg_vpgen_clip_polyline.h
+include/mapnik/agg/agg_vpgen_segmentator.h
+include/mapnik/agg/clipper.hpp
 include/mapnik/agg_helpers.hpp
 include/mapnik/agg_pattern_source.hpp
 include/mapnik/agg_rasterizer.hpp
@@ -13,6 +137,7 @@ include/mapnik/attribute_descriptor.hpp
 include/mapnik/boolean.hpp
 include/mapnik/box2d.hpp
 include/mapnik/building_symbolizer.hpp
+include/mapnik/cairo_context.hpp
 include/mapnik/cairo_renderer.hpp
 include/mapnik/char_info.hpp
 include/mapnik/color.hpp
@@ -22,17 +147,21 @@ include/mapnik/config_error.hpp
 include/mapnik/coord.hpp
 include/mapnik/coord_array.hpp
 include/mapnik/css_color_grammar.hpp
+include/mapnik/css_color_grammar_impl.hpp
 include/mapnik/ctrans.hpp
 include/mapnik/datasource.hpp
 include/mapnik/datasource_cache.hpp
 include/mapnik/debug.hpp
+include/mapnik/debug_symbolizer.hpp
 include/mapnik/distance.hpp
 include/mapnik/ellipsoid.hpp
 include/mapnik/enumeration.hpp
 include/mapnik/expression.hpp
 include/mapnik/expression_evaluator.hpp
 include/mapnik/expression_grammar.hpp
+include/mapnik/expression_grammar_impl.hpp
 include/mapnik/expression_node.hpp
+include/mapnik/expression_node_types.hpp
 include/mapnik/expression_string.hpp
 include/mapnik/factory.hpp
 include/mapnik/fastmath.hpp
@@ -41,13 +170,15 @@ include/mapnik/feature_factory.hpp
 include/mapnik/feature_kv_iterator.hpp
 include/mapnik/feature_layer_desc.hpp
 include/mapnik/feature_style_processor.hpp
+include/mapnik/feature_style_processor_impl.hpp
 include/mapnik/feature_type_style.hpp
 include/mapnik/filter_factory.hpp
 include/mapnik/filter_featureset.hpp
 include/mapnik/font_engine_freetype.hpp
 include/mapnik/font_set.hpp
+include/mapnik/font_util.hpp
 include/mapnik/formatting/base.hpp
-include/mapnik/formatting/expression.hpp
+include/mapnik/formatting/expression_format.hpp
 include/mapnik/formatting/format.hpp
 include/mapnik/formatting/list.hpp
 include/mapnik/formatting/registry.hpp
@@ -64,9 +195,11 @@ include/mapnik/grid/grid_pixel.hpp
 include/mapnik/grid/grid_pixfmt.hpp
 include/mapnik/grid/grid_rasterizer.hpp
 include/mapnik/grid/grid_renderer.hpp
+include/mapnik/grid/grid_renderer_base.hpp
 include/mapnik/grid/grid_rendering_buffer.hpp
 include/mapnik/grid/grid_util.hpp
 include/mapnik/grid/grid_view.hpp
+include/mapnik/hash_variant.hpp
 include/mapnik/hextree.hpp
 include/mapnik/hit_test_filter.hpp
 include/mapnik/image_compositing.hpp
@@ -102,18 +235,23 @@ include/mapnik/markers_symbolizer.hpp
 include/mapnik/memory.hpp
 include/mapnik/memory_datasource.hpp
 include/mapnik/memory_featureset.hpp
+include/mapnik/miniz_png.hpp
+include/mapnik/noncopyable.hpp
 include/mapnik/octree.hpp
 include/mapnik/offset_converter.hpp
 include/mapnik/palette.hpp
 include/mapnik/params.hpp
+include/mapnik/params_impl.hpp
 include/mapnik/parse_path.hpp
 include/mapnik/parse_transform.hpp
+include/mapnik/path_expression.hpp
 include/mapnik/path_expression_grammar.hpp
 include/mapnik/pixel_position.hpp
 include/mapnik/placement_finder.hpp
 include/mapnik/plugin.hpp
 include/mapnik/png_io.hpp
 include/mapnik/point_symbolizer.hpp
+include/mapnik/polygon_clipper.hpp
 include/mapnik/polygon_pattern_symbolizer.hpp
 include/mapnik/polygon_symbolizer.hpp
 include/mapnik/pool.hpp
@@ -126,31 +264,38 @@ include/mapnik/query.hpp
 include/mapnik/raster.hpp
 include/mapnik/raster_colorizer.hpp
 include/mapnik/raster_symbolizer.hpp
+include/mapnik/request.hpp
 include/mapnik/rule.hpp
+include/mapnik/rule_cache.hpp
 include/mapnik/save_map.hpp
 include/mapnik/scale_denominator.hpp
 include/mapnik/segment.hpp
 include/mapnik/shield_symbolizer.hpp
+include/mapnik/simplify.hpp
+include/mapnik/simplify_converter.hpp
 include/mapnik/span_image_filter.hpp
+include/mapnik/sparsehash/dense_hash_map
+include/mapnik/sparsehash/internal/densehashtable.h
+include/mapnik/sparsehash/internal/hashtable-common.h
+include/mapnik/sparsehash/internal/libc_allocator_with_realloc.h
+include/mapnik/sparsehash/internal/sparseconfig.h
+include/mapnik/sparsehash/template_util.h
+include/mapnik/sparsehash/type_traits.h
 include/mapnik/sql_utils.hpp
 include/mapnik/stroke.hpp
 include/mapnik/svg/svg_converter.hpp
-include/mapnik/svg/svg_generator.hpp
-include/mapnik/svg/svg_output_attributes.hpp
-include/mapnik/svg/svg_output_grammars.hpp
 include/mapnik/svg/svg_parser.hpp
 include/mapnik/svg/svg_path_adapter.hpp
 include/mapnik/svg/svg_path_attributes.hpp
 include/mapnik/svg/svg_path_commands.hpp
 include/mapnik/svg/svg_path_grammar.hpp
-include/mapnik/svg/svg_path_iterator.hpp
 include/mapnik/svg/svg_path_parser.hpp
 include/mapnik/svg/svg_points_grammar.hpp
-include/mapnik/svg/svg_renderer.hpp
+include/mapnik/svg/svg_renderer_agg.hpp
 include/mapnik/svg/svg_storage.hpp
 include/mapnik/svg/svg_transform_grammar.hpp
-include/mapnik/svg_renderer.hpp
 include/mapnik/symbolizer.hpp
+include/mapnik/symbolizer_hash.hpp
 include/mapnik/symbolizer_helpers.hpp
 include/mapnik/text_path.hpp
 include/mapnik/text_placements/base.hpp
@@ -170,63 +315,68 @@ include/mapnik/util/container_adapter.hp
 include/mapnik/util/conversions.hpp
 include/mapnik/util/dasharray_parser.hpp
 include/mapnik/util/deepcopy.hpp
+include/mapnik/util/fs.hpp
 include/mapnik/util/geometry_svg_generator.hpp
 include/mapnik/util/geometry_to_ds_type.hpp
 include/mapnik/util/geometry_to_svg.hpp
 include/mapnik/util/geometry_to_wkb.hpp
 include/mapnik/util/geometry_to_wkt.hpp
 include/mapnik/util/geometry_wkt_generator.hpp
-include/mapnik/util/vertex_iterator.hpp
+include/mapnik/util/hsl.hpp
+include/mapnik/util/path_iterator.hpp
+include/mapnik/util/trim.hpp
 include/mapnik/utils.hpp
 include/mapnik/value.hpp
 include/mapnik/value_error.hpp
+include/mapnik/value_types.hpp
 include/mapnik/version.hpp
 include/mapnik/vertex.hpp
 include/mapnik/vertex_converters.hpp
 include/mapnik/vertex_vector.hpp
 include/mapnik/warp.hpp
+include/mapnik/well_known_srs.hpp
 include/mapnik/wkb.hpp
 include/mapnik/wkt/wkt_factory.hpp
 include/mapnik/wkt/wkt_grammar.hpp
+include/mapnik/xml_attribute_cast.hpp
 include/mapnik/xml_loader.hpp
 include/mapnik/xml_node.hpp
 include/mapnik/xml_tree.hpp
 lib/libmapnik.so
 lib/libmapnik.so.2
-lib/libmapnik.so.2.1
+lib/libmapnik.so.2.2
+lib/mapnik/fonts/DejaVuSans-Bold.ttf
+lib/mapnik/fonts/DejaVuSans-BoldOblique.ttf
+lib/mapnik/fonts/DejaVuSans-ExtraLight.ttf
+lib/mapnik/fonts/DejaVuSans-Oblique.ttf
+lib/mapnik/fonts/DejaVuSans.ttf
+lib/mapnik/fonts/DejaVuSansCondensed-Bold.ttf
+lib/mapnik/fonts/DejaVuSansCondensed-BoldOblique.ttf
+lib/mapnik/fonts/DejaVuSansCondensed-Oblique.ttf
+lib/mapnik/fonts/DejaVuSansCondensed.ttf
+lib/mapnik/fonts/DejaVuSansMono-Bold.ttf
+lib/mapnik/fonts/DejaVuSansMono-BoldOblique.ttf
+lib/mapnik/fonts/DejaVuSansMono-Oblique.ttf
+lib/mapnik/fonts/DejaVuSansMono.ttf
+lib/mapnik/fonts/DejaVuSerif-Bold.ttf
+lib/mapnik/fonts/DejaVuSerif-BoldItalic.ttf
+lib/mapnik/fonts/DejaVuSerif-Italic.ttf
+lib/mapnik/fonts/DejaVuSerif.ttf
+lib/mapnik/fonts/DejaVuSerifCondensed-Bold.ttf
+lib/mapnik/fonts/DejaVuSerifCondensed-BoldItalic.ttf
+lib/mapnik/fonts/DejaVuSerifCondensed-Italic.ttf
+lib/mapnik/fonts/DejaVuSerifCondensed.ttf
+lib/mapnik/fonts/unifont-5.1.20080907.ttf
 %%CSV%%lib/mapnik/input/csv.input
 %%GDAL%%lib/mapnik/input/gdal.input
 lib/mapnik/input/geojson.input
-%%GEOS%%lib/mapnik/input/geos.input
 %%OGR%%lib/mapnik/input/ogr.input
 %%OSM%%lib/mapnik/input/osm.input
 %%POSTGIS%%lib/mapnik/input/postgis.input
 lib/mapnik/input/python.input
 lib/mapnik/input/raster.input
 lib/mapnik/input/shape.input
-%%SQLITE%%lib/mapnik/input/sqlite.input
-lib/mapnik/fonts/unifont-5.1.20080907.ttf
-lib/mapnik/fonts/DejaVuSerif-BoldItalic.ttf
-lib/mapnik/fonts/DejaVuSerifCondensed-BoldItalic.ttf
-lib/mapnik/fonts/DejaVuSerif-Italic.ttf
-lib/mapnik/fonts/DejaVuSerifCondensed-Italic.ttf
-lib/mapnik/fonts/DejaVuSansMono-Oblique.ttf
-lib/mapnik/fonts/DejaVuSerifCondensed-Bold.ttf
-lib/mapnik/fonts/DejaVuSansCondensed-Oblique.ttf
-lib/mapnik/fonts/DejaVuSansCondensed-Bold.ttf
-lib/mapnik/fonts/DejaVuSans-Oblique.ttf
-lib/mapnik/fonts/DejaVuSansCondensed.ttf
-lib/mapnik/fonts/DejaVuSansMono-Bold.ttf
-lib/mapnik/fonts/DejaVuSans.ttf
-lib/mapnik/fonts/DejaVuSans-Bold.ttf
-lib/mapnik/fonts/DejaVuSans-ExtraLight.ttf
-lib/mapnik/fonts/DejaVuSerif.ttf
-lib/mapnik/fonts/DejaVuSerifCondensed.ttf
-lib/mapnik/fonts/DejaVuSansCondensed-BoldOblique.ttf
-lib/mapnik/fonts/DejaVuSansMono-BoldOblique.ttf
-lib/mapnik/fonts/DejaVuSans-BoldOblique.ttf
-lib/mapnik/fonts/DejaVuSerif-Bold.ttf
-lib/mapnik/fonts/DejaVuSansMono.ttf
+%%SQLITE3%%lib/mapnik/input/sqlite.input
 %%PYTHON_SITELIBDIR%%/mapnik/__init__.py
 %%PYTHON_SITELIBDIR%%/mapnik/printing.py
 %%PYTHON_SITELIBDIR%%/mapnik/paths.py
@@ -237,11 +387,14 @@ lib/mapnik/fonts/DejaVuSansMono.ttf
 @dirrm lib/mapnik/input
 @dirrm lib/mapnik/fonts
 @dirrm lib/mapnik
-@dirrm include/mapnik/formatting
-@dirrm include/mapnik/grid
-@dirrm include/mapnik/json
-@dirrm include/mapnik/svg
-@dirrm include/mapnik/text_placements
-@dirrm include/mapnik/util
 @dirrm include/mapnik/wkt
+@dirrm include/mapnik/util
+@dirrm include/mapnik/text_placements
+@dirrm include/mapnik/svg
+@dirrm include/mapnik/sparsehash/internal
+@dirrm include/mapnik/sparsehash
+@dirrm include/mapnik/json
+@dirrm include/mapnik/grid
+@dirrm include/mapnik/formatting
+@dirrm include/mapnik/agg
 @dirrm include/mapnik
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 William Grzybowski freebsd_committer 2013-07-06 12:52:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!